use "Z:\Datasets\Survey of Activities of Young People\Survey of Activities of Young People 1999\Data\Stata_from_SPSS\SAYP 1999 Youngp.dta", clear

tostring uqnr, replace
macro drop _all
foreach i of varlist personno- FLAG01 {
 	local j = lower("`i'")
	rename `i' `j'
	macro drop j
}


lab var personno "Person Number"
lab var uqnr "Unique Number"
lab var q61aownb "Any kind of business last 12 months "
lab var q61bunpa "Help in family business last 12 months"
lab var q61cfarm "Help on family plot last 12 months"
lab var q61dcatc "Catch any fish last 12 months"
lab var q61epaid "Any work for wage last 12 months"
lab var q61fbeg "Beg for money or food last 12 months"
lab var q62doact "Regularity of work"
lab var q63arsnw "Reason for work in the last 12 months"
lab var q63buseo "In what way was it for own use"
lab var q64agoto "Importance of going to school"
lab var q64bdoac "Importance of doing the activities"
lab var q64cplay "Importance of playing or sport "
lab var q64dhelp "Importance of helping with hh chores "
lab var q65afetc "Fetch water or wood last 12 months "
lab var q65bhous "Help in housekeeping last 12 months "
lab var q65catte "Go to school at any time last 12 months"
lab var q65dspen "Regularly spend more than 1 hour "
lab var q66age5t "Interviewer: Person 5-9 years old "
lab var q67atten "Currently attending school "
lab var q68daysm "Days of school missed last 12 months"
lab var q69rsnsc "Main reason for missing school "
lab var q610rsnn "Main reason for not attending school "
lab var q611inju "Ever injured while doing activities "
lab var q612noti "How many times injured last 12 months "
lab var q613asta "Injuries caused to stay in bed "
lab var q613bsee "Injuries caused to get medical attention"
lab var q613chav "Injuries caused to have pain 1 week "
lab var q613ddis "Injuries caused permanent disability "
lab var q613eoth "Injuries caused other problem "
lab var q614caus "Major cause of most serious injury "
lab var q615type "Type of work when seriously injured "
lab var q616hadi "Illness stopped him/her doing activities"
lab var q617illn "Illness caused by activities mentioned "
lab var q618actw "Illness made worse by activities "
lab var q619phys "Do heavy physical work "
lab var q620atir "Work is very tiring "
lab var q620blon "Work for long hours "
lab var q620csun "Work before sunrise or sunset "
lab var q620dhot "Work environment too hot "
lab var q620ecol "Work environment too cold "
lab var q620fdus "Very dusty work "
lab var q620gnoi "Very noisy work "
lab var q620hbad "Bad lighting "
lab var q620idan "Work with dangerous substances "
lab var q620jdan "Work with dangerous machinery/tools"
lab var q620kdan "Work with dangerous animals "
lab var q620lfea "Fear a person may hurt him/her "
lab var q70confi "Confirm age, age in completed years"
lab var q71aownb "Any kind of business last 12 months "
lab var q71bunpa "Help in family business last 12 months"
lab var q71cfarm "Help on family plot last 12 months "
lab var q71dcatc "Catch any fish last 12 months "
lab var q71epaid "Any work for wage last 12 months "
lab var q71fbeg "Beg for money or food last 12 months "
lab var q72maina "Activity spent most time on last 12 months"
lab var q73doact "Time activities are done "
lab var q74rsnac "Main reason do activities sometimes "
lab var q75arsnw "Main reason for engaging in activities"
lab var q75buseo "What way is it for own use "
lab var q76atten "Do you currently attend school "
lab var q77doact "When do you usually do activities "
lab var q78actaf "Activities cause problems in school"
lab var q79occco "Occupation "
lab var q710main "Characteristics of main activity "
lab var q711indu "Industry of main activity "
lab var q711othe "Industry of second farming activity "
lab var q712busi "Characteristics of business/enterprise"
lab var q713nowo "Number of workers in business "
lab var q714busi "Location of business "
lab var q715busi "Formal or informal business "
lab var q716farm "Products for own use or for sale "
lab var q717empl "Person paid employee or other "
lab var q718asex "Unwanted sexual remarks"
lab var q718bsex "Unwanted sexual touching"
lab var q718crap "Rape  "
lab var q719abus "Who committed the abuse against you "
lab var q720ages "Age when first started these activities"
lab var q721ahou "Hours per week spent on all activities"
lab var q721bwan "Want more work of any type "
lab var q722afet "Fetch water or wood last 12 months "
lab var q722bhou "Help in housekeeping last 12 months "
lab var q722catt "Go to school at any time last 12 months"
lab var q722ccle "Help at school last 12 months "
lab var q722dspe "Regularly spend more than 1 hour "
lab var q718crap "Interviewer: Person 10-17 years old"
lab var q724atte "Currently attending school "
lab var q725days "Days of school missed last 12 months"
lab var q726rsns "Main reason for missing school "
lab var q727acat "Difficulties in catching up with lessons"
lab var q727btea "Teachers often absent or not supportive"
lab var q727chig "High cost of school "
lab var q727dnot "Not time to study "
lab var q727etoo "School too far from residence "
lab var q728rsnn "Main reason for not attending school"
lab var q729inju "Ever injured while doing activities "
lab var q730noti "How many times injured last 12 months"
lab var q731asta "Injuries caused to stay in bed "
lab var q731bsee "Injuries caused to get medical attention"
lab var q731chav "Injuries caused to have pain 1 week "
lab var q731ddis "Injuries caused permanent disability "
lab var q731eoth "Injuries caused other problem "
lab var q732caus "Major cause of most serious injury "
lab var q733type "Type of work when seriously injured "
lab var q734hadi "Illness stopped him/her doing activities"
lab var q735illn "Illness caused by activities mentioned "
lab var q736actw "Illness made worse by activities "
lab var q737phys "Do heavy physical work "
lab var q738atir "Work is very tiring "
lab var q738blon "Work for long hours "
lab var q738csun "Work before sunrise or sunset "
lab var q738dhot "Work environment too hot "
lab var q738ecol "Work environment too cold "
lab var q738fdus "Very dusty work "
lab var q738gnoi "Very noisy work "
lab var q738hbad "Bad lighting "
lab var q738idan "Work with dangerous substances "
lab var q738jdan "Work with dangerous machinery/tools"
lab var q738kdan "Work with dangerous animals "
lab var q738lfea "Fear a person may hurt him/her "
lab var q81aownb "Any kind of business last 7 days "
lab var q81bunpa "Help in family business last 7 days "
lab var q81cfarm "Help on family plot last 7 days "
lab var q81dcatc "Catch any fish last 7 days "
lab var q81epaid "Any work for wage last 7 days "
lab var q81fbeg "Beg for money or food last 7 days "
lab var q82havew "Have a job to return to "
lab var q83ahour "Hours spent on activities last 7 days"
lab var q83bwant "Want more work of any type "
lab var q84seekw "Currently looking for work "
lab var q85donea "Done activities in the past "
lab var q86yearl "When did you last do this activity "
lab var q87rsnno "Main reason not working "
lab var q88maina "Main activity in last 7 days "
lab var q89gross "Gross cash earnings for the last month"
lab var q810arec "Receive free/subsidised accommodation"
lab var q810brec "Receive free/subsidised clothing "
lab var q810crec "Receive free/subsidised meals or food"
lab var q810drec "Receive free/subsidised transport "
lab var q814adul "Part or all cash earnings paid to adults"
lab var q91ahour "Time spent fetching water "
lab var q91bhour "Time spent collecting firewood "
lab var q91chour "Time spent on housekeeping activities"
lab var q92actto "Time of other housekeeping activities"
lab var q93atten "Do you currently attend school "
lab var q94clean "Help at school last 7 days "
lab var q95kindo "Main kind of work done at school "
lab var q96hours "Hours on school activities last 7 days"
lab var q97helpe "Help in other activities "
lab var q98doact "Time activites are done "
lab var q99actaf "Activities cause problem in school "
lab var q910aact "Usually do in free time (1)"
lab var q910bact "Usually do in free time (2)"
lab var q910cact "Usually do in free time (3)"
lab var indus "Industry "
lab var occup "Occupation "
lab var father "Father in household "
lab var mother "Mother in household "
lab var gfather "Grandfather in household "
lab var gmother "Grandmother in household "
lab var spouse "Spouse in household "
lab var newstat1 "Economic activity 1 hour "
lab var newstat3 "Economic activity 3 hour "
lab var prov "Province "
lab var stratum "Area type "
lab var ph2wgtp "Individual weight for phase two"
lab var flag01 "Flag Variable "
lab var q723age1 "Is person 10  17 years old"
lab var q65cclea "Help unpaid in cleaning school in the last 12 months"
*Value labels

lab def q61aownb 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified"

lab def q61bunpa 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified"

lab def q61cfarm 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified"

lab def q61dcatc 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified"

lab def q61epaid 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified"

lab def q61fbeg  1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified"

foreach x of varlist q61aownb-q61fbeg {
lab val `x' `x'
}
*

lab def q62doact 1 "Regularly throughout the year, or" 2 "Only at some times during the year" /*
*/ -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q62doact q62doact

lab def q63arsnw 1 "To assist family with money" 2 "To obtain money for own use" /*
*/ 3 "Duty to help family" 4 "To pay outstanding debt to the person" 5 "Obligation to landlord" /*
*/ 6 "Finished school and no other activity available" 7 "School class not operating/teacher missing" /*
*/ 8 "To gain experience/training" 9 "Other" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q63arsnw q63arsnw

lab def q63buseo 1 "To buy food or other essentials" 2 "To pay for schooling" 3 "For own pocket money" /*
*/ 4 "Other" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q63buseo q63buseo

lab def q64agoto 1 "Very important" 2 "Somewhat important" 3 "Not important" -9 "Blank data" -99 "Unspecified"
lab val q64agoto q64agoto

lab def q64bdoac 1 "Very important" 2 "Somewhat important" 3 "Not important" -9 "Blank data" -99 "Unspecified"
lab val q64bdoac q64bdoac

lab def q64cplay 1 "Very important" 2 "Somewhat important" 3 "Not important" -9 "Blank data" -99 "Unspecified"
lab val q64cplay q64cplay

lab def q64dhelp 1 "Very important" 2 "Somewhat important" 3 "Not important" -9 "Blank data" -99 "Unspecified"
lab val q64dhelp q64dhelp

lab def q65afetc 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified"
lab val q65afetc q65afetc

lab def q65bhous 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified"
lab val q65bhous q65bhous

lab def q65catte  1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified"
lab val q65catte q65catte

lab def q65cclea 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q65cclea q65cclea

lab def q65dspen 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified"
lab val q65dspen q65dspen

lab def q66age5t 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified"
lab val q66age5t q66age5t

lab def q67atten 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q67atten q67atten

lab def q68daysm -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q68daysm q68daysm

lab def q69rsnsc 1 "Illness/sick (own)" 2 "School class not operating/teacher missing" /*
*/ 3 "School is too far, poor quality, etc." 4 "Needed to help with household chores" /*
*/ 5 "Needed to help with household chores" 6 "Busy with activities mentioned earlier" /*
*/ 7 "Personal reasons" 8 "Other" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q69rsnsc q69rsnsc

lab def q610rsnn 1 "No suitable school available" 2 "School is too far, poor quality, etc" /*
*/ 3 "Cannot afford schooling" 4 "Not interested in schooling" 5 "Illness/disabled (own)" /*
*/ 6 "Needed to help with household chores" 7 "Needed to help with household chores for other reasons"  /*
*/ 8 "Doing the activities mentioned earlier" 9 "Too young to go to school" 11 "Other" /*
*/ -99 "Unspecified" -999 "Not Applicable"
lab val q610rsnn q610rsnn

lab def q611inju 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q611inju q611inju

lab def q612noti -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q612noti q612noti

lab def q613asta 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q613asta q613asta

lab def q613bsee 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q613bsee q613bsee

lab def q613chav 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q613chav q613chav

lab def q613ddis 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q613ddis q613ddis

lab def q613eoth 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q613eoth q613eoth

lab def q614caus 1 "Machinery or tools" 2 "A fall or something falling" 3 "A person" /*
*/ 4 "An animal" 5 "Other" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q614caus q614caus

lab def q615type 9131 "Domestic worker" 9163 "Collector, water" 9164 "Collector, water and wood" /*
*/ 9211 "Labourer, farm" -9 "Blank Data (See FLAG01)" -99 "Unspecified" -999 "Not Applicable"
lab val q615type q615type

lab def q616hadi 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q616hadi q616hadi

lab def q617illn 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q617illn q617illn

lab def q618actw 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q618actw q618actw

lab def q619phys 1 "Yes, often or regularly" 2 "Yes, sometimes" 3 "Yes, but seldom" 4 "No, never" /*
*/ -9 "Blank data (see FLAG01)" -99 "Unspecified" -999 "Not Applicable"
lab val q619phys q619phys

lab def q620atir 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q620atir q620atir

lab def q620blon 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q620blon q620blon

lab def q620csun 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q620csun q620csun

lab def q620dhot 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q620dhot q620dhot

lab def q620ecol 1 "Yes" 2 "No" -9 "Blank data" -99 "Unspecified" -999 "Not Applicable"
lab val q620ecol q620ecol

lab val q620fdus q620ecol
lab val q620gnoi q620ecol
lab val q620hbad q620ecol
lab val q620idan q620ecol
lab val q620jdan q620ecol
lab val q620kdan q620ecol
lab val q620lfea q620ecol

lab def q70confi -99 "Unspecified"
lab val q70confi q70confi

lab def q71aownb 1 "Yes" 2 "No" -99 "Unspecified"
lab val q71aownb q71aownb
lab val q71bunpa q71aownb
lab val q71cfarm q71aownb
lab val q71dcatc q71aownb
lab val q71epaid q71aownb
lab val q71fbeg q71aownb

lab def q72maina 1 "Any kind of business" 2 "Help unpaid in a family business" /*
*/ 3 "Help on the family plot, food garden" 4 "Catch any fish, prawns, shells" /*
*/ 5 "Do any work for a wage, salary" 6 "Beg for money or food in public" /*
*/ -99 "Unspecified" -999 "Not Applicable"
lab val q72maina q72maina

lab def q73doact 1 "Regularly throughout the year, or" 2 "Only at some times during the year" /*
*/ -99 "Unspecified" -999 "Not Applicable"
lab val q73doact q73doact

lab def q74rsnac 1 "Worked only in school holidays" 2 "Seasonal work only" /*
*/ 3 "Left school during the 12 months" 4 "Only want to work in some months" /*
*/ 5 "No other work available" 6 "Other" -99 "Unspecified" -999 "Not Applicable"
lab val q74rsnac q74rsnac

lab def q75arsnw 1 "To assist family with money" 2 "To obtain money for own use" /*
*/ 3 "Duty to help family" 4 "To pay outstanding debt to the person for whom...works" /*
*/ 5 "Obligation to landlord" 6 "Finished school and no other activity" /*
*/ 7 "School class not operating/teacher missing" 8 "To gain experience/training" /*
*/ 9 "Other" -99 "Unspecified" -999 "Not Applicable"
lab val q75arsnw q75arsnw

lab def q75buseo 1 "To buy food or other essentials" 2 "To pay for schooling" /*
*/ 3 "For own pocket money" 4 "Other" -99 "Unspecified" -999 "Not Applicable"
lab val q75buseo q75buseo

lab def q76atten 1 "Yes" 2 "No" -99 "Unspecified" -999 "Not Applicable"
lab val q76atten q76atten

lab def q77doact 1 "Daily before school" 2 "Daily after school" 3 "Daily both before and after school" /*
*/ 4 "Only on weekends and holidays" 5 "During school time" -99 "Unspecified" -999 "Not Applicable"
lab val q77doact q77doact

lab def q78actaf  1 "Yes" 2 "No" -99 "Unspecified" -999 "Not Applicable"
lab val q78actaf q78actaf

lab def q79occco -99 "Unspecified" -999 "Not Applicable"
lab val q79occco q79occco

lab def q710main 1 "Working for someone else for pay?" 2 "Working for one or more private households" /*
*/ 3 "Working on your family land/plot" 4 "Working on your own or with a partner" /*
*/ 5 "Helping without pay in a family business?" -99 "Unspecified" -999 "Not Applicable"
lab val q710main q710main

lab def q711indu 10 "Private Households" 90 "Unspecified, missing or not adequately defined" -99 "Unspecified" -999 "Not Applicable"
lab val q711indu q711indu

lab def q711othe -99 "Unspecified" -999 "Not Applicable"
lab val q711othe q711othe

lab def q712busi 1 "A government establishment/enterprise/parastatal" 2 "A private business or self-employment"  -99 "Unspecified" -999 "Not Applicable"
lab val q712busi q712busi

lab def q713nowo  1 "1 Person only (i.e. himself/herself)" 2 "2 - 4" 3 "5 - 9" 4 "10  19 (Go to Q7.17)" /*
*/ 5 "20 or more (Go to Q7.17)" 6 "Dont know" -99 "Unspecified" -999 "Not Applicable"
lab val q713nowo q713nowo

lab def q714busi 1 "In the owners or someones home" /*
*/ 2 "In another permanent building" 3 "At a market" 4 "On a footpath, street or open space" /*
*/ 5 "No fixed location" 6 "Other" -99 "Unspecified" -999 "Not Applicable"
lab val q714busi q714busi

lab def q715busi 1 "Formal" 2 "Informal" -99 "Unspecified" -999 "Not Applicable"
lab val q715busi q715busi

lab def q716farm 1 "Mostly for own use" 2 "Mostly for sale" -99 "Unspecified" -999 "Not Applicable"
lab val q716farm q716farm

lab def q717empl 1 "A paid employee" 2 "Other" -99 "Unspecified" -999 "Not Applicable"
lab val q717empl q717empl

lab def q718asex 1 "Yes" 2 "No" -99 "Unspecified" -999 "Not Applicable"
lab val q718asex q718asex
lab val q718bsex q718asex
lab val q718crap q718asex

lab def q719abus 1 "Fellow worker/s" 2 "Your employer" 3 "Family members or friends of the employer" /*
*/ 4 "Customers of your employer" 5 "Other" -99 "Unspecified" -999 "Not Applicable"
lab val q719abus q719abus

lab def q720ages -99 "Unspecified" -999 "Not Applicable"
lab val q720ages q720ages

lab def q721ahou -99 "Unspecified" -999 "Not Applicable"
lab val q721ahou q721ahou

lab def q721bwan 1 "Yes" 2 "No" -99 "Unspecified" -999 "Not Applicable"
lab val q721bwan q721bwan

lab def q722afet 1 "Yes" 2 "No" -99 "Unspecified"
lab val q722afet q722afet

lab val q722bhou q722afet
lab val q722catt q722afet
lab val q722ccle q722afet
lab val q722dspe q722afet
lab val q723age1 q722afet
lab val q724atte q718asex

lab def q725days -99 "Unspecified" -999 "Not Applicable"
lab val q725days q725days

lab def q726rsns 1 "Illness/sick (own)" /*
*/ 2 "School class not operating/teacher missing" /*
*/ 3 "School is too far, poor quality, etc." /*
*/ 4 "Needed to help with household chores  adults sick/disabled" /*
*/ 5 "Needed to help with household chores for other reasons" /*
*/ 6 "Busy with activities mentioned earlier" /*
*/ 7 "Personal reasons (except pregnancy/looking after own children)" /*
*/ 8 "Pregnant, looking after own children" /*
*/ 9 "To look for work" /*
*/ 10 "Other, specify" /*
*/ -99 "Unspecified" /*
*/ -999 "Not Applicable"
lab val q726rsns q726rsns

lab def q727acat 1 "Yes" 2 "No" -99 "Unspecified" -999 "Not Applicable"
lab val q727acat q727acat
lab val q727btea q727acat
lab val q727chig q727acat
lab val q727dnot q727acat
lab val q727etoo q727acat

lab def q728rsnn 1 "No suitable school available" /*
*/ 2 "School is too far" /*
*/ 3 "Cannot afford schooling" /*
*/ 4 "Not interested in schooling" /*
*/ 5 "Illness/disabled (own)" /*
*/ 6 "Needed to help with household chores  adults sick/disabled" /*
*/ 7 "Needed to help with household chores for other reasons" /*
*/ 8 "Doing the activities mentioned earlier" /*
*/ 9 "Too young to go to school" /*
*/ 10 "Fell pregnant or has children" /*
*/ 11 "Other, specify" /*
*/ -99 "Unspecified" /*
*/ -999 "Not Applicable"
lab val q728rsnn q728rsnn

lab def q729inju 1 "Yes" 2 "No" -99 "Unspecified" -999 "Not Applicable"
lab val q729inju q729inju

lab def q730noti -99 "Unspecified" -999 "Not Applicable"
lab val q730noti q730noti

lab val q731asta q729inju
lab val q731bsee q729inju
lab val q731chav q729inju
lab val q731ddis q729inju
lab val q731eoth q729inju

lab def q732caus 1 "Machinery or tools" 2 "A fall or something falling" 3 "A person' /*
*/ 4 "An animal" 5 "Other, specify" -99 "Unspecified" -999 "Not Applicable"
lab val q732caus q732caus

lab def q733type -99 "Unspecified" -999 "Not Applicable"
lab val q733type q733type

lab val q734hadi q729inju

lab val q735illn q729inju
lab val q736actw q729inju

lab def q737phys 1 "Yes, often or regularly" 2 "Yes, sometimes" 3 "Yes, but seldom" /*
*/ 4 "No, never" -99 "Unspecified" -999 "Not Applicable"
lab val q737phys q737phys

lab val q738atir q729inju
lab val q738blon q729inju
lab val q738csun q729inju
lab val q738dhot q729inju
lab val q738ecol q729inju
lab val q738fdus q729inju
lab val q738gnoi q729inju
lab val q738hbad q729inju
lab val q738idan q729inju
lab val q738jdan q729inju
lab val q738kdan q729inju
lab val q738lfea q729inju
lab val q81aownb q729inju
lab val q81bunpa q729inju
lab val q81cfarm q729inju
lab val q81dcatc q729inju
lab val q81epaid q729inju
lab val q81fbeg q729inju
lab val q82havew q729inju
 
lab def q83ahour -99 "Unspecified" -999 "Not Applicable"
lab val q83ahour q83ahour

lab val q83bwant q729inju
lab val q84seekw q729inju
lab val q85donea q729inju

lab def q86yearl -99 "Unspecified" -999 "Not Applicable"
lab val q86yearl q86yearl

lab def q87rsnno 1 "Go to school" /*
*/ 2 "Must help at home" /*
*/ 3 "Dismissed or retrenched" /*
*/ 4 "Became pregnant" /*
*/ 5 "Did not like the job" /*
*/ 6 "Did not like the employer" /*
*/ 7 "Health problem/injury at work" /*
*/ 8 "The pay was too low" /*
*/ 9 "No work available" /*
*/ 10 "Other, specify" /*
*/ -99 "Unspecified" /*
*/ -999 "Not Applicable" 
lab val q87rsnno q87rsnno

lab def q88maina 1 "Attending school or training" /*
*/ 2 "Homemaker/pregnant/caring for children, sick or elders" /*
*/ 3 "Actively searching for work" /*
*/ 4 "Too young to work" /*
*/ 5 "Of illness or disability and unable to work" /*
*/ 6 "Waiting for job to start at a definite date in the future" /*
*/ 7 "Seasonal or contract worker" /*
*/ 8 "Cannot find suitable work" /*
*/ 9 "Do not want/need to work" /*
*/ 11 "Other reason, specify" /*
*/ -99 "Unspecified" /*
*/ -999 "Not Applicable"
lab val q88maina q88maina

lab def q89gross 1 "No income" /*
*/ 2 "R1  R100" /*
*/ 3 "R101  R200" /*
*/ 4 "R201  R350" /*
*/ 5 "R351  R500" /*
*/ 6 "R501  R750" /*
*/ 7 "R751  R 1000" /*
*/ 8 "R1 001  R1 500" /*
*/ 9 "R1 501  R2 500" /*
*/ 10 "R2 501  R3 500" /*
*/ 11 "R3 501  R4 500" /*
*/ 12 "R4 501 or more" /*
*/ 13 "Dont know" /*
*/ 14 "Refuse" /*
*/ -99 "Unspecified" 
lab val q89gross q89gross

lab def q810arec 1 "Yes" 2 "No" -99 "Unspecified"
lab val q810arec q810arec
lab val q810brec q810arec
lab val q810crec q810arec
lab val q810drec q810arec

lab def q814adul 1 "Yes, all or almost all" /*
*/ 2 "Yes, half or more" /*
*/ 3 "Yes, but less than half" /*
*/ 4 "No" /*
*/ 5 "Other, Specify" /*
*/ -99 "Unspecified" /*
*/ -999 "Not Applicable"
lab val q814adul q814adul

lab def q91ahour -99 "Unspecified"
lab val q91ahour q91ahour
lab val q91bhour q91ahour
lab val q91chour q91ahour

lab def q92actto 1 "Washing, cleaning, sweeping, doing dishes" /*
*/ 2 "Washing, ironing clothes" /*
*/ 3 "Caring for children or adults" /*
*/ 4 "Cooking, preparing/serving meals" /*
*/ 5 "Other household work (not shopping), specify" /*
*/ -99 "Unspecified" /*
*/ -999 "Not Applicable"
lab val q92actto q92actto

lab def q93atten 1 "Yes" 2 "No" -99 "Unspecified"
lab val q93atten q93atten

lab def q94clean 1 "Yes" 2 "No" -99 "Unspecified" -999 "Not Applicable"
lab val q94clean q94clean

lab def q95kindo 1 "Cleaning at school" /*
*/ 2 "Maintenance of school walls, floors, etc." /*
*/ 3 "Working in school garden" /*
*/ 4 "Helping teacher with marking" /*
*/ 5 "Helping teacher at his/her house" /*
*/ 6 "Other, specify" /*
*/ -99 "Unspecified" /*
*/ -999 "Unapplicable"
lab val q95kindo q95kindo

lab def q96hours -99 "Unspecified" -999 "Unapplicable"
lab val q96hours q96hours

lab def q97helpe 1 "Yes" 2 "No" -99 "Unspecified"
lab val q97helpe q97helpe

lab def q98doact 1 "Daily before school" /*
*/ 2 "Daily after school" /*
*/ 3 "Daily both before and after school" /*
*/ 4 "Only on weekends and holidays" /*
*/ 5 "During school time" /*
*/ -99 "Unspecified" /*
*/ -999 "Not Applicable"
lab val q98doact q98doact

lab def q99actaf 1 "Yes" 2 "No" -99 "Unspecified" -999 "Not Applicable"
lab val q99actaf q99actaf

lab def q910aact 1 "Watching TV" /*
*/ 2 "Listening to music" /*
*/ 3 "Internet/playing computer/playing video games" /*
*/ 4 "There is no free time" /*
*/ 5 "Play sport" /*
*/ 6 "Play" /*
*/ 7 "Go to movies/amusement centres" /*
*/ 8 "Window shopping or shopping" /*
*/ 9 "Sleep/rest" /*
*/ 10 "Study/read" /*
*/ 11 "Go to religious institutions/prayer places(church, mosque, etc.)" /*
*/ 12 "Other, specify" /*
*/ -99 "Unspecified" 
lab val q910aact q910aact
lab val q910bact q910aact
lab val q910cact q910aact

lab def indus -99 "Unspecified" -999 "Not Applicable"
lab val indus indus

lab def occup -99 "Unspecified" -999 "Not Applicable"
lab val occup occup

lab def father 1 "Father lives in Household" 2 "Otherwise"
lab val father father

lab def mother 1 "Mother lives in Household" 2 "Otherwise"
lab val mother mother

lab def gfather 1 "Grandfather lives in Household" 2 "Otherwise"
lab val gfather gfather

lab def gmother 1 "Grandmother lives in Household" 2 "Otherwise"
lab val gmother gmother

lab def spouse 1 "Spouse lives in Household" 2 "Otherwise"
lab val spouse spouse

lab def newstat1 1 "Engaged in economic activity (1 hour)" /*
*/ 2 "Unpaid domestic work" /*
*/ 3 "Fetching water or wood" /*
*/ 4 "Household chores" /*
*/ 5 "School work" /*
*/ 6 "No labour activity" /*
*/ 7 "Unspecified" 
lab val newstat1 newstat1

lab val newstat3 newstat1

lab def prov 1 "Western Cape" 2 "Eastern Cape" 3 "Northern Cape" 4 "Free State" 5 "KwaZulu-Natal" 6 "North West" 7 "Gauteng" 8 "Mpumalanga" 9 "Northern Province"
lab val prov prov

lab def stratum 1 "Formal Urban" 2 "Informal Urban" 3 "Other Rural Areas" 4 "Commercial Farms"
lab val stratum stratum

lab def flag01 1 "Flagged" 0 "Otherwise"
lab val flag01 flag01

cap valtovar _all, no d

save "Z:\Datasets\Survey of Activities of Young People\Survey of Activities of Young People 1999\Data\Stata_from_SPSS\SAYP 1999 Youngp_v1.1_labelled.dta", replace
